Skip to main content
PUT
/
connections
/
{id}
Update connection completely
curl --request PUT \
  --url https://api.getmembrane.com/connections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "meta": {},
  "authOptionKey": "<string>",
  "key": "<string>",
  "integrationId": "<string>",
  "integrationUuid": "<string>",
  "integrationKey": "<string>",
  "connectorId": "<string>",
  "connectorUuid": "<string>",
  "connectorKey": "<string>",
  "connectorVersion": "<string>",
  "externalAppId": "<string>",
  "externalAppUuid": "<string>",
  "credentials": {},
  "connectorParameters": {},
  "input": {},
  "intent": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "userId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "tenantId": "<string>",
  "key": "<string>",
  "isTest": true,
  "connected": true,
  "disconnected": true,
  "isDefunct": true,
  "state": "BUILDING",
  "errors": [
    {
      "message": "<string>",
      "type": "bad_request",
      "key": "<string>",
      "data": {},
      "stack": {},
      "causedByError": "<unknown>",
      "logs": [
        {}
      ]
    }
  ],
  "requestError": {
    "message": "<string>",
    "type": "bad_request",
    "key": "<string>",
    "data": {},
    "stack": {},
    "causedByError": "<unknown>",
    "logs": [
      {}
    ]
  },
  "error": {
    "message": "<string>",
    "type": "bad_request",
    "key": "<string>",
    "data": {},
    "stack": {},
    "causedByError": "<unknown>",
    "logs": [
      {}
    ]
  },
  "integrationId": "<string>",
  "connectorId": "<string>",
  "externalAppId": "<string>",
  "connectorVersion": "<string>",
  "authOptionKey": "<string>",
  "lastActiveAt": "<string>",
  "nextCredentialsRefreshAt": "<string>",
  "nextRetryTimestamp": "<string>",
  "retryAttempts": 123,
  "canTest": true,
  "canRefreshCredentials": true,
  "archivedAt": "<string>",
  "isDeactivated": true,
  "meta": {},
  "buildingAgentSessionId": "<string>",
  "clientAction": {
    "type": "connect",
    "description": "<string>",
    "uiUrl": "<string>",
    "agentInstructions": "<string>"
  },
  "user": {
    "id": "<string>",
    "name": "<string>",
    "internalId": "<string>",
    "meta": {},
    "fields": {},
    "credentials": {},
    "lastActiveAt": "<string>",
    "isTest": true,
    "isBillable": true,
    "isActive": true,
    "aiCreditsRolling30DayLimit": 1,
    "createdAt": "<string>",
    "archivedAt": "<string>"
  },
  "integration": {
    "id": "<string>",
    "name": "<string>",
    "logoUri": "<string>",
    "uuid": "<string>",
    "key": "<string>",
    "description": "<string>",
    "meta": {},
    "state": "BUILDING",
    "errors": [
      {
        "message": "<string>",
        "type": "bad_request",
        "key": "<string>",
        "data": {},
        "stack": {},
        "causedByError": "<unknown>",
        "logs": [
          {}
        ]
      }
    ],
    "revision": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archivedAt": "<string>",
    "isDeactivated": true,
    "isReadOnly": true,
    "connectorId": "<string>",
    "connectorVersion": "<string>",
    "oAuthCallbackUri": "<string>",
    "parameters": {},
    "hasMissingParameters": true,
    "hasDocumentation": true,
    "hasOperations": true,
    "operationsCount": 123,
    "hasData": true,
    "dataCollectionsCount": 123,
    "hasEvents": true,
    "eventsCount": 123,
    "hasGlobalWebhooks": true,
    "hasUdm": true,
    "isTest": true,
    "externalAppId": "<string>",
    "authType": "integration-app-token",
    "optionsConfig": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
meta
object
authOptionKey
string
key
string | null
Required string length: 1 - 100
integrationId
string
integrationUuid
string
integrationKey
string
connectorId
string
connectorUuid
string
connectorKey
string
connectorVersion
string
externalAppId
string
externalAppUuid
string
credentials
object
connectorParameters
object
input
object
intent
string

[Experimental] Intent-based instruction for an agent to configure this element.

Response

200 - application/json
id
string
required

Internal database ID of the element. Assigned by the API; unique per element.

name
string
required
userId
string
required
createdAt
string
required
updatedAt
string
required
tenantId
string
key
string
isTest
boolean
connected
boolean
disconnected
boolean

[DEPRECATED] Use connected instead.

isDefunct
boolean
state
enum<string>
Available options:
BUILDING,
CLIENT_ACTION_REQUIRED,
CONFIGURATION_ERROR,
SETUP_FAILED,
READY,
DISCONNECTING
errors
object[]
requestError
object
error
object

[DEPRECATED] Use requestError and errors instead.

integrationId
string
connectorId
string
externalAppId
string
connectorVersion
string
authOptionKey
string
lastActiveAt
string
nextCredentialsRefreshAt
string
nextRetryTimestamp
string
retryAttempts
number
canTest
boolean
canRefreshCredentials
boolean
archivedAt
string
isDeactivated
boolean
meta
object
buildingAgentSessionId
string

Session ID for building the element via intent-based endpoints (create/update with intent). Present when state is BUILDING.

clientAction
object

Action the client must perform to advance this connection. Present if and only if state is CLIENT_ACTION_REQUIRED.

user
object
integration
object